#ifndef __DUMP_LOG_H
#define __DUMP_LOG_H

#include <linux/logdev.h>

#define LOGDEV_VALID_ID(id) (((id) == LOGDEV_SWITCH_ID) || \
			     ((id) == LOGDEV_PKT_ID) || \
			     ((id) == LOGDEV_PRINT) || \
			     ((id) == LOGDEV_PRINT_TIME) || \
			     ((id) == LOGDEV_PRINT_TIME_FUNC) || \
			     ((id) == LOGDEV_CUSTOM))

char *dump_log_version(void);

void process_switch(struct logdev_item *buf);
void process_pkt(struct logdev_item *buf);
void process_print(struct logdev_item *buf);

char *find_sys(unsigned long key);
void load_sys(FILE *fp);
struct logdev_item *read_dump(int fd, int *id);
int open_logdev_cpu(char *uname, mode_t mode, int cpu);
int open_logdev(char *uname, mode_t mode);
int close_logdev(int fd);

int process_dump(int fd);
int logdev_print(int fd,const char *fmt, ...);
int logdev_switch_set(int on);
int logdev_switch_read(void);

struct logdev_item *read_record(int fd);
void free_record(struct logdev_item *rec);

#endif
